# flopc::MP_set_base Class Reference
[Internal (private) interface.]

Internal representation of a "set". More...

`#include <MP_set.hpp>`

Inheritance diagram for flopc::MP_set_base:
[legend]
Collaboration diagram for flopc::MP_set_base:
[legend]

List of all members.

## Public Member Functions
| MP_set_base ()
virtual int | size () const =0
virtual | operator MP_domain () const =0
virtual MP_domain | operator() (const MP_index_exp &i) const =0
void | display () const
int | check (int i) const
int | checkStage (int i) const
virtual int | isStage () const
## Public Attributes
bool | Cyclic

## Detailed Description

Internal representation of a "set".

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.

Definition at line 28 of file MP_set.hpp.

## Constructor & Destructor Documentation

flopc::MP_set_base::MP_set_base | ( |  | ) | `[inline]`

Definition at line 30 of file MP_set.hpp.

## Member Function Documentation

virtual int flopc::MP_set_base::size | ( |  | ) | const`[pure virtual]`

Implemented in flopc::MP_set, and flopc::MP_subset< nbr >.

virtual flopc::MP_set_base::operator MP_domain | ( |  | ) | const`[pure virtual]`

Implemented in flopc::MP_set.

virtual MP_domain flopc::MP_set_base::operator() | ( | const MP_index_exp & | i | ) | const`[pure virtual]`

Implemented in flopc::MP_set.

void flopc::MP_set_base::display | ( |  | ) | const`[virtual]`

Reimplemented from flopc::MP_index_base.

int flopc::MP_set_base::check | ( | int | i | ) | const`[inline]`

Definition at line 37 of file MP_set.hpp.

int flopc::MP_set_base::checkStage | ( | int | i | ) | const`[inline]`

Definition at line 48 of file MP_set.hpp.

virtual int flopc::MP_set_base::isStage | ( |  | ) | const`[inline, virtual]`

Reimplemented in flopc::MP_stage.

Definition at line 60 of file MP_set.hpp.

## Member Data Documentation

bool flopc::MP_set_base::Cyclic

Definition at line 64 of file MP_set.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_set.hpp